Page MenuHomePhabricator

efl/gesture: move finger_size into private structs of recognizers
ClosedPublic

Authored by zmike on Jan 24 2020, 11:16 AM.

Details

Summary

we must write these recognizers using publicly available apis to ensure
that we don't accidentally start using private struct data

this requires a lot of changes to properly manage the config value for finger
size and update the recognizer data when changed (which external recognizers
will need to monitor an event to achieve) and then also to change some
recognizers so they don't use memset and unset the finger_size value

ref TT8503

Depends on D11170

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 24 2020, 11:16 AM
CHAN accepted this revision.Jan 28 2020, 3:32 AM

I think it was the concept that the super class has a finger size and uses it in all inherited classes...

Anyway its reasonable.

This revision is now accepted and ready to land.Jan 28 2020, 3:32 AM
zmike added a comment.Jan 28 2020, 6:50 AM

I figured this was the case, but it's just pulling from the config anyway.

zmike updated this revision to Diff 28676.Jan 29 2020, 11:21 AM
zmike edited the summary of this revision. (Show Details)

rebase/rework

Closed by commit rEFL89e8cb912cee: efl/gesture: move finger_size into private structs of recognizers (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 5 2020, 1:18 AM
This revision was automatically updated to reflect the committed changes.